gstreamermm: Gst::OggMux Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::OggMux Class Reference
gstreamermm Plugins

A Wrapper for the oggmux plugin. More...

Inheritance diagram for Gst::OggMux:
[legend]
Collaboration diagram for Gst::OggMux:
[legend]

List of all members.

## Public Member Functions
virtual | ~OggMux ()
GstOggMux* | gobj ()
| Provides access to the underlying C GObject.
const GstOggMux* | gobj () const
| Provides access to the underlying C GObject.
GstOggMux* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< guint64 > | property_max_delay ()
| Maximum delay in multiplexing streams.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_delay () const
| Maximum delay in multiplexing streams.
Glib::PropertyProxy< guint64 > | property_max_page_delay ()
| Maximum delay for sending out a page.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_page_delay () const
| Maximum delay for sending out a page.
Glib::PropertyProxy< guint64 > | property_max_tolerance ()
| Maximum timestamp difference for maintaining perfect granules.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_tolerance () const
| Maximum timestamp difference for maintaining perfect granules.
Glib::PropertyProxy< bool > | property_skeleton ()
| Whether to include a Skeleton track.
Glib::PropertyProxy_ReadOnly < bool > | property_skeleton () const
| Whether to include a Skeleton track.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< OggMux > | create ()
| Creates a new oggmux plugin with a unique name.
static Glib::RefPtr< OggMux > | create (const Glib::ustring& name)
| Creates a new oggmux plugin with the given name.
## Protected Member Functions
| OggMux ()
| OggMux (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::OggMux > | wrap (GstOggMux* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the oggmux plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::OggMux::~OggMux | ( |  | ) | `[virtual]`

Gst::OggMux::OggMux | ( |  | ) | `[protected]`

Gst::OggMux::OggMux | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<OggMux> Gst::OggMux::create | ( |  | ) | `[static]`

Creates a new oggmux plugin with a unique name.

static Glib::RefPtr<OggMux> Gst::OggMux::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new oggmux plugin with the given name.

static GType Gst::OggMux::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstOggMux* Gst::OggMux::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstOggMux* Gst::OggMux::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstOggMux* Gst::OggMux::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< guint64 > Gst::OggMux::property_max_delay | ( |  | ) |

Maximum delay in multiplexing streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::OggMux::property_max_delay | ( |  | ) | const

Maximum delay in multiplexing streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::OggMux::property_max_page_delay | ( |  | ) |

Maximum delay for sending out a page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::OggMux::property_max_page_delay | ( |  | ) | const

Maximum delay for sending out a page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::OggMux::property_max_tolerance | ( |  | ) |

Maximum timestamp difference for maintaining perfect granules.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::OggMux::property_max_tolerance | ( |  | ) | const

Maximum timestamp difference for maintaining perfect granules.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::OggMux::property_skeleton | ( |  | ) |

Whether to include a Skeleton track.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::OggMux::property_skeleton | ( |  | ) | const

Whether to include a Skeleton track.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::OggMux > wrap | ( | GstOggMux * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/oggmux.h